#!/bin/sh

# rmfit_setup.sh
#
# Sets up aliases to rmfit_v432 and adds the 
# necessary environment paths in the IDL pref file
# in the distribution.
#
# Rmfit 4.3.2
#
# Note: This version does not set up the alias. To do so
#       uncomment the line and rerun this script.
#
# Last Modified: AMD, 21 Apr 2014

topdir=${PWD}
idldir=$topdir/idl81/
#echo "alias rmfit='$topdir/rmfit_v432'" >> ~/.bashrc

# idl.pref paths
idl_pref_dir=$topdir/idl81/resource/pref
i=1
while read line
do
  if [ "$i" = "15" ]
  then
    break
  fi
  echo "$line" >> $idl_pref_dir/temp.pref
  i=$(($i + 1))
done < $idl_pref_dir/idl.pref
mv $idl_pref_dir/temp.pref $idl_pref_dir/idl.pref
echo '\nIDL_PATH : +'$idldir':<IDL_DEFAULT>' >> $idl_pref_dir/idl.pref
echo 'IDL_DLM_PATH : +'$idldir'/bin:<IDL_DEFAULT>' >> $idl_pref_dir/idl.pref

echo "rmfit 4.3.2 setup complete"
